query listVendorRates @auth(level: USER) {
  vendorRates {
    id
    vendorId
    roleName
    category
    clientRate
    employeeWage
    markupPercentage
    vendorFeePercentage
    isActive
    notes
    createdAt
    
    vendor{
      companyName
      region
    }

  }
}

query getVendorRateById($id: UUID!) @auth(level: USER) {
  vendorRate(id: $id) {
    id
    vendorId
    roleName
    category
    clientRate
    employeeWage
    markupPercentage
    vendorFeePercentage
    isActive
    notes
    createdAt
    
    vendor{
      companyName
      region
    }
  }
}
